{
  "swagger": "2.0",
  "info": {
    "title": "blocks.proto",
    "version": "version not set"
  },
  "tags": [
    {
      "name": "Follow"
    },
    {
      "name": "Friend"
    },
    {
      "name": "Match"
    }
  ],
  "consumes": [
    "application/json"
  ],
  "produces": [
    "application/json"
  ],
  "paths": {},
  "definitions": {
    "protobufAny": {
      "type": "object",
      "properties": {
        "@type": {
          "type": "string"
        }
      },
      "additionalProperties": {}
    },
    "relationApplyFetchReply": {
      "type": "object",
      "properties": {
        "total": {
          "type": "integer",
          "format": "int32",
          "title": "总记录数"
        },
        "version": {
          "type": "string",
          "format": "int64",
          "title": "版本号"
        },
        "applys": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/relationApplyItem"
          }
        }
      }
    },
    "relationApplyItem": {
      "type": "object",
      "properties": {
        "identity": {
          "type": "string",
          "title": "唯一标识"
        },
        "from": {
          "$ref": "#/definitions/relationRelationItem"
        },
        "message": {
          "$ref": "#/definitions/relationMessageItem"
        },
        "createdAt": {
          "type": "string",
          "title": "时间"
        },
        "status": {
          "type": "integer",
          "format": "int32",
          "title": "状态"
        }
      }
    },
    "relationFetchRelationItemReply": {
      "type": "object",
      "properties": {
        "total": {
          "type": "string",
          "format": "int64",
          "title": "总记录数"
        },
        "data": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/relationRelationItem"
          }
        }
      }
    },
    "relationFriendApplyGetReply": {
      "type": "object",
      "properties": {
        "data": {
          "$ref": "#/definitions/relationRelationItem",
          "title": "会员信息卡片"
        },
        "message": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/relationMessageItem"
          },
          "title": "聊天记录"
        }
      }
    },
    "relationFriendTagsReply": {
      "type": "object",
      "properties": {
        "total": {
          "type": "string",
          "format": "int64",
          "title": "总记录数"
        },
        "data": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/relationTagItem"
          }
        }
      }
    },
    "relationFriendsReply": {
      "type": "object",
      "properties": {
        "total": {
          "type": "integer",
          "format": "int32",
          "title": "总记录数"
        },
        "version": {
          "type": "string",
          "format": "int64",
          "title": "版本号"
        },
        "tags": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/relationTagItem"
          },
          "title": "分组标签信息"
        },
        "friends": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/relationRelationItem"
          },
          "title": "好友信息"
        }
      }
    },
    "relationMessageItem": {
      "type": "object",
      "properties": {
        "relationIdentity": {
          "type": "string",
          "title": "发送者"
        },
        "body": {
          "type": "string",
          "title": "正文"
        },
        "createdAt": {
          "type": "string",
          "title": "时间"
        }
      }
    },
    "relationPartFriendReply": {
      "type": "object",
      "properties": {
        "total": {
          "type": "integer",
          "format": "int32",
          "title": "总记录数"
        },
        "version": {
          "type": "string",
          "format": "int64",
          "title": "版本号"
        },
        "friends": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/relationRelationItem"
          },
          "title": "好友信息"
        }
      }
    },
    "relationRelationItem": {
      "type": "object",
      "properties": {
        "identity": {
          "type": "string"
        },
        "nickname": {
          "type": "string",
          "title": "昵称"
        },
        "remarkName": {
          "type": "string",
          "title": "备注名称"
        },
        "popular": {
          "type": "integer",
          "format": "int32",
          "title": "是否置顶"
        },
        "avatar": {
          "type": "string"
        },
        "birthday": {
          "type": "string",
          "title": "生日"
        },
        "sex": {
          "type": "integer",
          "format": "int32",
          "title": "性别，1为男性，2为女性"
        },
        "province": {
          "type": "integer",
          "format": "int32",
          "title": "省"
        },
        "city": {
          "type": "integer",
          "format": "int32",
          "title": "市"
        },
        "area": {
          "type": "integer",
          "format": "int32",
          "title": "区"
        },
        "sign": {
          "type": "string",
          "title": "签名"
        },
        "tags": {
          "type": "array",
          "items": {
            "type": "string"
          },
          "title": "所属标签组"
        },
        "foreignStatus": {
          "type": "integer",
          "format": "int32",
          "title": "外表的状态值,根据表不同，值的作用不同"
        }
      }
    },
    "relationStatusReply": {
      "type": "object",
      "properties": {
        "data": {
          "type": "string",
          "title": "数据"
        },
        "timeseq": {
          "type": "string",
          "format": "int64",
          "title": "响应时间序列"
        }
      }
    },
    "relationTagItem": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "format": "int64",
          "title": "好友标签ID"
        },
        "identity": {
          "type": "string",
          "title": "标签唯一标识"
        },
        "friendTotal": {
          "type": "string",
          "format": "int64",
          "title": "标签成员统计"
        },
        "tagName": {
          "type": "string",
          "title": "标签名称"
        }
      }
    },
    "rpcStatus": {
      "type": "object",
      "properties": {
        "code": {
          "type": "integer",
          "format": "int32"
        },
        "message": {
          "type": "string"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/protobufAny"
          }
        }
      }
    }
  }
}
